Loading...
Searching...
No Matches
BD_ARGB_OVERLAY Struct Reference

ARGB overlay event. More...

`#include <overlay.h>`

## Data Fields

int64_t | pts
| Event timestamp, on video grid.
uint8_t | plane
| Overlay plane (bd_overlay_plane_e).
uint8_t | cmd
| Overlay event type (bd_argb_overlay_cmd_e).
uint16_t | x
| top-left x coordinate
uint16_t | y
| top-left y coordinate
uint16_t | w
| region width
uint16_t | h
| region height
uint16_t | stride
| ARGB buffer stride.
const uint32_t * | argb
| ARGB image data, 'h' lines, line stride 'stride' pixels.

## Detailed Description

ARGB overlay event.

The documentation for this struct was generated from the following file:

- overlay.h